#! /usr/bin/python

#
import time
import argparse
#
import ctlab
import unic_helper

print("Test01")
print("Just stupid looping from 0...255")

# From Config-File
(serial_port, unic_config) = unic_helper.read_configfile('config.ini')
# Parse the cmd-line
parser = argparse.ArgumentParser(description='Dump the UNI-C Config data into a json file.', prefix_chars='-')
parser.add_argument("-p", "--port", help="Used port number")
args = parser.parse_args()
# Use the old stuff, if cmd-line is empty
if args.port is not None:
    serial_port = args.port
# test
print('port =', serial_port)

lab = ctlab.ctlab(serial_port)
lab.check_devices(verbose=True)

print("---------------------------------------")
result = lab.send_command_result(lab.unic, "idn?")
print(result)
print("---------------------------------------")


for index in range(255):
    cmd = "%i?" % index
    result = lab.send_command_result(lab.unic, cmd)
    print("%5d --> \t %s" % (index, result))
    time.sleep(0.1)

